LoggerHead

Description

LoggerHead is a an automated combat log enabler. It allows you to select via a simple GUI interface which Zones and Instances to automatically enable for logging. Works for PvP/Arenas(For real this time)! LoggerHead has a LDB module for those running a Data Display. Left Click toggles logging. Right Click opens configuration screen. Enjoy.

Localization!!!

I need help localizing LoggerHead to Latin American Spanish! If you want to help please check out: http://www.wowace.com/projects/loggerhead/localization/

Notes

New in version 4: Loggerhead dynamically builds dungeon and raid information instead of relying on external libraries. What this means is that your configuration menu will *ONLY* show instances and difficulties that you have discovered/entered. Better yet, it also means that LoggerHead will work with new dungeons and raids without having to be updated!!!

Help and Feedback

Please use the WowAce ticket system or the forum thread to report issues.

You must login to post a comment. Don't have an account? Register to get one!

  • Avatar of dratr dratr Sep 19, 2013 at 16:24 UTC - 0 likes

    Thanks for incorporating the flex fix!

    Last edited Sep 23, 2013 by dratr: Author updated addon with fix - comment no longer relevent
  • Avatar of acethebunny acethebunny Sep 14, 2013 at 20:15 UTC - 0 likes

    @daf2: Go

    Yes, this please? Please? I love you long time?

  • Avatar of daf2 daf2 Sep 13, 2013 at 22:27 UTC - 0 likes

    the addon needs a small (or not) update to be able to detect flex dificulty.

  • Avatar of Stanzilla Stanzilla Mar 06, 2013 at 04:39 UTC - 0 likes

    @Brudarek: Go

    Should be fixed now.

  • Avatar of Brudarek Brudarek Feb 21, 2013 at 02:44 UTC - 0 likes

    Wish there was a working version of this, lib or nolib I can't get past:

    "Cannot find a library instance of "AceConfigRegistry-3.0"."

    Date: 2013-02-20 18:41:19
    ID: 1
    Error occured in: Global
    Count: 1
    Message: ...dOns\LoggerHead\Libs\AceConfig-3.0\AceConfig-3.0.lua line 20:
       Cannot find a library instance of "AceConfigRegistry-3.0".
    Debug:
       [C]: error()
       !Swatter\Support\LibStub.lua:23: LibStub()
       ...dOns\LoggerHead\Libs\AceConfig-3.0\AceConfig-3.0.lua:20: in main chunk
    Locals:
    (*temporary) = "Cannot find a library instance of "AceConfigRegistry-3.0"."
    
    AddOns:
      Swatter, v5.15.5380 (LikeableLyrebird)
      BadBoy, v11.600
      BattlePetBreedID, v1.0.1
      Clique, vv50100-1.0.0
      CTCore, v5.0002
      CTMailMod, v5.0003
      CTMapMod, v5.0003
      DBMCore, v
      ForteCasting, v
      ForteClass, v
      ForteCooldown, v
      ForteCore, v1.980.8
      ForteTalent, v
      ForteTimer, v
      InterruptSay, v3.4.2
      ItemRack, v
      LoggerHead, v162
      BlizRuntimeLib_enUS v5.1.0.50100 <us>
      (ck=182)
    
  • Avatar of angrysteel angrysteel Aug 03, 2011 at 14:01 UTC - 0 likes

    7x LoggerHead-4.0.128\Loggerhead-4.0.128.lua:379 bad argument #1 to "pairs" (table expected, got nil)
    <in C code>
    LoggerHead-4.0.128\Loggerhead-4.0.128.lua:379 in function "GenerateOptionsInternal"
    LoggerHead-4.0.128\Loggerhead-4.0.128.lua:264 in function <LoggerHead\Loggerhead.lua:261
    AceConfigRegistry-3.0\AceConfigRegistry-3.0-13.lua:309 in function "app"
    AceConfigDialog-3.0\AceConfigDialog-3.0-54.lua:1796 in function "Open"
    AceConfigDialog-3.0\AceConfigDialog-3.0-54.lua:828 in function <AceConfigDialog-3.0\AceConfigDialog-3.0.lua:613
    (tail call): ?
    <in C code>
    <string>:"safecall Dispatcher[3]":9: in function <string>:"safecall Dispatcher[3]":5
    (tail call): ?
    Ace3-r1035\AceGUI-3.0\AceGUI-3.0-33.lua:314 in function "Fire"
    Ace3-r1035\12AceGUI-3.0-33\widgets\AceGUIWidget-DropDown.lua:439 in function <Ace3\AceGUI-3.0\widgets\AceGUIWidget-DropDown.lua:430
    (tail call): ?
    <in C code>
    <string>:"safecall Dispatcher[3]":9: in function <string>:"safecall Dispatcher[3]":5
    (tail call): ?
    Ace3-r1035\AceGUI-3.0\AceGUI-3.0-33.lua:314 in function "Fire"
    AceGUI-3.0-33\widgets\AceGUIWidget-DropDown-Items.lua:351 in function <AceGUI-3.0\widgets\AceGUIWidget-DropDown-Items.lua:341

    Locals:
    nil

  • Avatar of rsmozang rsmozang Oct 19, 2010 at 23:01 UTC - 0 likes

    It is an oversight. FWIW, I prefer using the GLOBALSTRINGS translation, so I'll likely be switching both to "|cffff0000"..COMBATLOGDISABLED.."|r"

    Last edited Oct 19, 2010 by rsmozang
  • Avatar of MethylenePHP MethylenePHP Oct 19, 2010 at 02:37 UTC - 0 likes

    More of a OCD question but anything but is there any reason why on line 111 it isnt text = "|cffff0000"..L["Disabled"].."|r", Instead of the default string?? it doesnt matter since i just change it but it bothers my ocd that it doesnt say disabled when i log into the game :x.

  • Avatar of PappyFDU PappyFDU Jul 08, 2010 at 23:08 UTC - 0 likes

    I've looked at the LUA file for this addon and have it fixed for 3.3.5 to include Ruby Sanctum.

    How can I upload that so that we can all benefit from the change?

    Last edited Jul 08, 2010 by PappyFDU: Spelling
  • Avatar of Kelem Kelem Mar 10, 2010 at 22:23 UTC - 0 likes

    any chance of an update?

Facts

Date created
Jul 25, 2008
Category
Last update
Sep 20, 2013
Development stage
Release
Language
  • deDE
  • enUS
  • esES
  • frFR
  • koKR
  • ruRU
  • zhCN
  • zhTW
License
Public Domain
Curse link
LoggerHead
Downloads
325,213
Recent files
  • R: 5.4.0 for 5.4.0 Sep 20, 2013
  • A: r173 for 5.4.0 Sep 20, 2013
  • A: r172 for 5.4.0 Sep 10, 2013
  • R: 5.3.0 for 5.3.0 Sep 03, 2013
  • A: r170 for 5.3.0 Sep 03, 2013

Authors